Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Unity works perfectly fine on my Dell E6400 (Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) == Intel GMA 4500MHD?) when run from Live-CD.

However it doesn't work on my 11.04 which was upgraded from 9.10->10.04->10.10.

What might be broken/misconfigured? Is there any "trick" I can enable 3D acceleration without reinstalling complete system?

Edit:

Unity support test gives following output:

/usr/lib/nux/unity_support_test -p
OpenGL vendor string:   Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20100330 DEVELOPMENT x86/MMX/SSE2
OpenGL version string:  2.1 Mesa 7.10.2

Not software rendered:    yes
Not blacklisted:          yes
GLX fbconfig:             yes
GLX texture from pixmap:  yes
GL npot or rect textures: yes
GL vertex program:        yes
GL fragment program:      yes
GL vertex buffer object:  yes
GL framebuffer object:    yes
GL version is 1.4+:       yes

Unity supported:          yes
share|improve this question

closed as too localized by Jorge Castro, Octavian Damiean, Marco Ceppi Dec 13 '11 at 23:29

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

2 Answers 2

You have to activate you driver for the graphics card. Go to System -> Additional Drivers and activate it.

share|improve this answer
1  
Well, this is Intel graphics card, there is nothing to activate under "Additional Drivers". –  Vilmantas Baranauskas Apr 29 '11 at 8:01
    
Could you tell me which Intel graphics card you have, then i can help you better –  Dani3l Apr 29 '11 at 8:08
    
lspci tells this: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07). Notebook specs says this: Intel GMA 4500MHD. –  Vilmantas Baranauskas Apr 29 '11 at 8:11

No, your driver is ok. use ccsm (compiz config settings manager) and get rid of the conflicts, and you are good to go.

share|improve this answer
    
Unfortunately, I am no longer able to test your suggestion as I've done a complete re-installation due to HDD change. Now everything works perfectly fine. Thanks anyway! –  Vilmantas Baranauskas Sep 8 '11 at 7:10

Not the answer you're looking for? Browse other questions tagged or ask your own question.